## blast demo

=== Makefile ===
#	makefile for demo programs and entrez
#	Sun with unbundled ANSI compiler [ make CC=acc ]
#	Sun with Gnu C [ make CC=gcc ]
#	Silicon Graphics [ make OTHERLIBS="-lm -lPW -lsun" ]
#	IBM 3090 with AIX [ make  ]
#	ULTRIX [ make ]
#	Apple AUX [ make SHELL=\usr\bin ]
#	NeXt [ make CFLAGS1="-c -ansi"  ]
#   DEC Alpha under OSF/1  [ make CC=cc ]
#	
#	Subsequent makes should make ... nocopy instead of make ... all
#	to avoid recopying the include files
#
#	To Make the Motif version of demos and to make entrez add:
#      VIBLIBS="-lXm -lXmu -lXt -lX11" LIB4=-lvibrant VIBFLAG="-I/am/Motif/include -DWIN_MOTIF" VIB=entrez
#   to the argument list.  Substitute the path to your Motif includes for
#    /am/Motif/include.
#	

include ./ncbi.mk

CC = $(NCBI_CC)
AR = ar
ARFLAGS = cru
RAN = ls
INCDIR = ../ncbi/include
#OTHERLIBS = $(NCBI_OTHERLIBS)
OTHERLIBS = $(NCBI_OTHERLIBS_MT)
LIBDIR = ../ncbi/lib
#LIBDIR = $(NCBI_LIBDIR)
OPTFLAGS = $(NCBI_OPTFLAG) 
# for gcc
#OPTFLAGS = -O
#OPTFLAGS = -g 
CFLAGS = $(NCBI_CFLAGS1) -I. -I$(INCDIR) $(OPTFLAGS) 
LDFLAGS = -I. -I$(INCDIR) -L$(LIBDIR) $(OPTFLAGS)


## LIBRARIES
##

LIB1 = -lncbi
LIB2 = -lncbiobj
LIB3 = -lncbicdr
LIB4 = -lvibrant
LIB5 = -lncbiacc
LIB6 = -lnetcli
LIB7 = -lnetentr
LIB8 = -lncbiNacc
LIB9 = -lncbiCacc
# LIB10 is reserved for NCSA socket library
LIB10 =
LIB11 = -lncbimla
LIB12 = -lncbitax
LIB13 = -lncbiid0
#LIB14 = -lncbibls0
LIB15 = -lnetcliE
LIB16 = -lnetcliS
LIB17 = -lnetcliES
LIB18 = -lncbibls2
LIB19 = -lncbispel
# LIB20 is for the NCBI desktop utilities
LIB20 = -lncbidesk
LIB23 = -lncbitool
LIBCOMPADJ = -lblastcompadj

## make applications
##

blreplay: blreplay.c 
	$(CC) -o blreplay blreplay.c $(LDFLAGS) $(LIB23) $(LIBCOMPADJ) $(LIB2) $(LIB1) $(OTHERLIBS)

db2fasta: db2fasta.c 
	$(CC) -o db2fasta db2fasta.c $(LDFLAGS) $(LIB23) $(LIBCOMPADJ) $(LIB2) $(LIB1) $(OTHERLIBS)

doblast: doblast.c 
	$(CC) -o doblast doblast.c $(LDFLAGS) $(LIB23) $(LIBCOMPADJ) $(LIB2) $(LIB1) $(OTHERLIBS)

clean	:
	/bin/rm -f  *.o core blreplay db2fasta doblast

## blast 1.1

=== debian/changelog ===
blast (1.1-21) unstable; urgency=low

  * Use source format 3.0 (quilt)
  * debian/control:
    + Updated Standards-Version to 3.8.4 (no changes needed)
    + Dropped dpatchh dependency
  * debian/copyright:
    + Updated as per DEP-5 specifications
  * Removed README.source file

 -- Kartik Mistry <kartik@debian.org>  Sat, 08 May 2010 17:45:11 +0530

blast (1.1-20) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.8.3
    + Wrapped Build-Depends
    + Bumped debhelper dependency to 7
  * Added debian/README.source file
  * debian/rules:
    + Used dh_prep instead of deprecated dh_clean -k

 -- Kartik Mistry <kartik@debian.org>  Tue, 01 Sep 2009 22:45:58 +0530

blast (1.1-19) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.8.1 (no changes needed)
    + Updated my maintainer email address
  * debian/copyright:
    + Updated to use correct copyright symbol © instead of (C)

 -- Kartik Mistry <kartik@debian.org>  Tue, 16 Jun 2009 14:01:58 +0530

blast (1.1-18) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.8.0 (no changes needed)
    + Fixed FTBFS by updating build-depends on xutils-dev (Closes: #485198)
    + Removed build-depends from obsolate x-dev package
  * debian/copyright:
    + Updated GPL link, as GPL now points to GPL-3 license
  * debian/watch:
    + Added dummy watch file to satisfy lintian
  * Uploaded for Kartik by Jaldhar H. Vyas <jaldhar@debian.org>

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 10 Jun 2008 16:13:26 +0530

blast (1.1-17) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.7.3
    + Updated short description
  * Uploaded for Kartik by Jaldhar H. Vyas <jaldhar@debian.org>

 -- Kartik Mistry <kartik.mistry@gmail.com>  Thu, 27 Dec 2007 22:05:32 +0530

blast (1.1-16) unstable; urgency=low

  * Added dpatch support, converted previously applied patches to dpatch
    patches
  * debian/rules: fixed clean target
  * debian/copyright: fixed indentations, moved copyright out of license

 -- Kartik Mistry <kartik.mistry@gmail.com>  Mon, 24 Sep 2007 10:19:51 +0530

blast (1.1-15) unstable; urgency=low

  * debian/control: Added ${misc:Depends}, minor changes
  * Updated debhelper compatibility version to 5
  * Added debian/compat
  * debian/rules: rewrote it, readable now
  * debian/rules: Added CCOPTIONS in make call to revert upstream change
  * debian/copyright: rewrite in standard format
  * debian/menu: formated according to standards

 -- Kartik Mistry <kartik.mistry@gmail.com>  Thu, 22 Mar 2007 10:51:49 +0530

blast (1.1-14) unstable; urgency=low

  * New maintainer (Closes: #398113)
  * Fixed wrong .TH header in blast.man 
  * Bumped to Standards-Version: 3.7.2

 -- Kartik Mistry <kartik.mistry@gmail.com>  Sun, 12 Nov 2006 17:07:25 +0530

blast (1.1-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update build-deps for xlibs-dev removal; closes: #346630.

 -- Justin Pryzby <justinpryzby@users.sf.net>  Sat, 14 Jan 2006 15:21:16 -0500

blast (1.1-13) unstable; urgency=low

  * Acknowledge NMU before it leaves the delayed queue.
    Thanks a lot >  Gunnar Wolf
  * bump to Standards-Version: 3.6.1.0 
    - move from /usr/bin to /usr/games
    - compie with -g -Wall by default
    - support DEB_BUILD_OPTIONS (noopt in debian/rules, nostrip by dh_strip)

 -- Oliver M. Bolzer <oliver@debian.org>  Fri, 12 Mar 2004 09:46:09 +0100

blast (1.1-12.1) unstable; urgency=low

  * Non-Maintainer Upload by Gunnar Wolf <gwolf@debian.org>
  * Changed "ifdef" in Imakefile to "if" in order to fix FTBFS bug
    (Closes: #234837)
  * Fixed lintian warnings on copyright file - now refers to
    /usr/share/common-licenses/GPL
  * Fixed lintian warnings on menu, as it had some unquoted items

 -- Gunnar Wolf <gwolf@debian.org>  Fri,  5 Mar 2004 14:02:31 -0600

blast (1.1-12) unstable; urgency=low

  * fixed Build-Depends (thanks to Roman Hodek) (Closes: #85377)
  * upgrade to Standards 3.5.0.0
    * /usr/X11R6/bin -> /usr/bin, /usr/X11R6/man -> /usr/share/man
      ( maybe /usr/games is better? blast is Section: games )

 -- Oliver M. Bolzer <oliver@gol.com>  Sat, 10 Feb 2001 10:07:23 +0100

blast (1.1-11) unstable; urgency=low

  * new maintainer (Closes: #69635)
  * compiled with XFree86 4.x and tweaked Build-Depends

 -- Oliver M. Bolzer <oliver@gol.com>  Sat, 10 Feb 2001 09:44:21 +0100

blast (1.1-10) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 00:10:18 -0800

blast (1.1-9) unstable; urgency=low

  * Just rebuilt the package, for FHS.

 -- Joey Hess <joeyh@debian.org>  Wed,  8 Sep 1999 16:55:30 -0700

blast (1.1-8) unstable; urgency=low

  * Moved menu item out of Apps/Games to Games.

 -- Joey Hess <joeyh@debian.org>  Wed,  5 Aug 1998 14:30:49 -0700

blast (1.1-7) unstable; urgency=low

  * Simply rebuilt with an updated debhelper to fix a number of lintain
    warnings.
                                                   
 -- Joey Hess <joeyh@debian.org>  Tue, 10 Mar 1998 17:55:47 -0800

blast (1.1-6) unstable; urgency=low

  * Updated standards-version.
  * Rebuilt with debhelper 0.60 to fix mode 444 file.

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Feb 1998 13:11:56 -0800

blast (1.1-5) unstable; urgency=low

  * Use debhelper.

 -- Joey Hess <joeyh@debian.org>  Sat,  7 Feb 1998 19:36:09 -0800

blast (1.1-4) unstable; urgency=low

  * Libc6.
  * Updated menu file to new format.
  * Routine update of debian/rules:
    Fixed binary-indep target.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Sep 1997 18:18:41 -0400

blast (1.1-3) unstable; urgency=low

  * Added a menu file.
  * Routine update of debian/rules:
    Use debmake.
    New email address.

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Dec 1996 15:03:54 -0500

blast (1.1-2) unstable; urgency=low

  * Routine update of debian/rules.
  * Now registers itself witn install-fvwm2menu.

 -- Joey Hess <joeyh@debian.org>  Sun, 6 Oct 1996 16:15:40 -0400



=== debian/control ===
Source: blast
Section: games
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>
Build-Depends: debhelper (>= 7),
               libx11-dev,
               libxext-dev,
               libxt-dev,
               xutils-dev
Standards-Version: 3.8.4

Package: blast
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Blow holes in window of programs
 Blast lets you vent your frustration with programs by blowing holes in them.
 With this program you can blast holes into any window in X. Holes become
 permanent unless you repair them before you quit. You may move permanently
 "damaged" windows and enjoy the view behind the holes.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	dh_testdir
	xmkmf -a
	$(MAKE) CFLAGS="$(CFLAGS)" CCOPTIONS=""
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean Makefile

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/blast BINDIR=/usr/games install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README
	dh_installmenu
	dh_installman blast.man
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# Upstream for blast is no longer exists. This file is added as per
# instruction from lintian.
